"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getBaseConfiguration = void 0;
var _common = require("./common");
const config = {
  mappings: {
    dynamic_templates: (0, _common.getCommonMappings)(mappings => {
      return mappings.concat([{
        strings: {
          match_mapping_type: "string",
          mapping: {
            type: "text",
            fields: {
              keyword: {
                type: "keyword",
                ignore_above: 256
              }
            }
          }
        }
      }]);
    }),
    properties: {
      rawValues: {
        type: "object",
        enabled: false
      }
    }
  }
};
const getBaseConfiguration = modifier => {
  if (!modifier) {
    return config;
  }
  return modifier(config);
};
exports.getBaseConfiguration = getBaseConfiguration;

//# sourceMappingURL=base.js.map