"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ElasticsearchQueryBuilderJapaneseOperatorContainsPlugin = void 0;
var _ElasticsearchQueryBuilderOperatorPlugin = require("../../definition/ElasticsearchQueryBuilderOperatorPlugin");
var _normalize = require("../../../normalize");
class ElasticsearchQueryBuilderJapaneseOperatorContainsPlugin extends _ElasticsearchQueryBuilderOperatorPlugin.ElasticsearchQueryBuilderOperatorPlugin {
  name = "elasticsearch.queryBuilder.operator.contains.japanese";
  isLocaleSupported(code) {
    if (!code) {
      return false;
    }
    return ["ja", "ja-jp"].includes(code.toLowerCase());
  }
  getOperator() {
    return "contains";
  }
  apply(query, params) {
    const {
      value: initialValue,
      basePath
    } = params;
    const value = (0, _normalize.normalizeValueWithAsterisk)(initialValue);
    query.must.push({
      multi_match: {
        query: value,
        type: "phrase",
        fields: [`${basePath}.ngram`]
      }
    });
    query.should.push({
      multi_match: {
        query: value,
        type: "phrase",
        fields: [`${basePath}`]
      }
    });
  }
}
exports.ElasticsearchQueryBuilderJapaneseOperatorContainsPlugin = ElasticsearchQueryBuilderJapaneseOperatorContainsPlugin;

//# sourceMappingURL=contains.js.map